Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IBounds

    java.lang.Object
      igeo.IBounds

    public class IBounds

extends java.lang.Object

Bounding box described by minimum point and maximum point.

Author:
  Satoru Sugihara

Field Summary
`IVec` | `max`
`IVec` | `min`

Constructor Summary
`IBounds()`
`IBounds(java.util.ArrayList<IObject> objects)`
`IBounds(double x, double y, double z, double xwidth, double yheight, double zdepth)`
`IBounds(IObject obj)`
`IBounds(IObject[] objects)`
`IBounds(IVec p)`
`IBounds(IVec corner, double xwidth, double yheight, double zdepth)`
`IBounds(IVec min, IVec max)`

Method Summary
`IVec` | `center()`
`void` | `compare(IObject e)`
`void` | `compare(IVec p)`
`double` | `depth()`
`IVec` | `getCenter()`
`IVec` | `getMax()`
`IVec` | `getMin()`
`IVec` | `getSize()`
`double` | `height()`
`void` | `init()`
`void` | `init(IVec p)`
`IVec` | `max()`
`double` | `maxX()`
`double` | `maxY()`
`double` | `maxZ()`
`IVec` | `min()`
`double` | `minX()`
`double` | `minY()`
`double` | `minZ()`
`void` | `setObject(IObject object)`
`void` | `setObjects(java.util.ArrayList<IObject> objects)`
`void` | `setObjects(IServer server)` Calculates bounding box of all the visible objects in IServer
`IVec` | `size()`
`java.lang.String` | `toString()`
`double` | `width()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### min

    public IVec min

### max

    public IVec max

Constructor Detail

### IBounds

    public IBounds()

### IBounds

    public IBounds(IVec p)

### IBounds

    public IBounds(IObject obj)

### IBounds

    public IBounds(IVec min,
                   IVec max)

### IBounds

    public IBounds(IVec corner,
                   double xwidth,
                   double yheight,
                   double zdepth)

### IBounds

    public IBounds(double x,
                   double y,
                   double z,
                   double xwidth,
                   double yheight,
                   double zdepth)

### IBounds

    public IBounds(IObject[] objects)

### IBounds

    public IBounds(java.util.ArrayList<IObject> objects)

Method Detail

### min

    public IVec min()

### getMin

    public IVec getMin()

### max

    public IVec max()

### getMax

    public IVec getMax()

### minX

    public double minX()

### minY

    public double minY()

### minZ

    public double minZ()

### maxX

    public double maxX()

### maxY

    public double maxY()

### maxZ

    public double maxZ()

### width

    public double width()

### height

    public double height()

### depth

    public double depth()

### size

    public IVec size()

### getSize

    public IVec getSize()

### center

    public IVec center()

### getCenter

    public IVec getCenter()

### init

    public void init(IVec p)

### init

    public void init()

### compare

    public void compare(IVec p)

### compare

    public void compare(IObject e)

### setObjects

    public void setObjects(IServer server)

  Calculates bounding box of all the visible objects in IServer

### setObject

    public void setObject(IObject object)

### setObjects

    public void setObjects(java.util.ArrayList<IObject> objects)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD